+ kernel-doc-dont-use-xml-escapes-in-text-or-man-output.patch added to -mm tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



The patch titled

     kernel-doc: don't use XML escapes in text or man output mode

has been added to the -mm tree.  Its filename is

     kernel-doc-dont-use-xml-escapes-in-text-or-man-output.patch

See http://www.zip.com.au/~akpm/linux/patches/stuff/added-to-mm.txt to find
out what to do about this

------------------------------------------------------
Subject: kernel-doc: don't use XML escapes in text or man output mode
From: Randy Dunlap <rdunlap@xxxxxxxxxxxx>


For kernel-doc output modes of text and man, do not use XML escapes for
less-than, greater-than, and ampersand characters.  I.e., leave the text
and man output clean and readable.

Signed-off-by: Randy Dunlap <rdunlap@xxxxxxxxxxxx>
Signed-off-by: Andrew Morton <akpm@xxxxxxxx>
---

 scripts/kernel-doc |    3 +++
 1 file changed, 3 insertions(+)

diff -puN scripts/kernel-doc~kernel-doc-dont-use-xml-escapes-in-text-or-man-output scripts/kernel-doc
--- a/scripts/kernel-doc~kernel-doc-dont-use-xml-escapes-in-text-or-man-output
+++ a/scripts/kernel-doc
@@ -1674,6 +1674,9 @@ sub process_state3_type($$) {
 # replace <, >, and &
 sub xml_escape($) {
 	my $text = shift;
+	if (($output_mode eq "text") || ($output_mode eq "man")) {
+		return $text;
+	}
 	$text =~ s/\&/\\\\\\amp;/g;
 	$text =~ s/\</\\\\\\lt;/g;
 	$text =~ s/\>/\\\\\\gt;/g;
_

Patches currently in -mm which might be from rdunlap@xxxxxxxxxxxx are

git-alsa.patch
git-dvb.patch
git-infiniband.patch
git-kbuild.patch
git-mtd.patch
git-netdev-all.patch
git-pcmcia.patch
lpfc-sparse-null-warnings.patch
aic7-cleanup-module_parm_desc-strings.patch
qla1280-fix-section-mismatch-warnings.patch
areca-raid-linux-scsi-driver.patch
git-watchdog.patch
slab-kmalloc-kzalloc-comments-cleanup-and-fix.patch
kernel-doc-for-mm-filemapc.patch
add-poisonh-and-patch-primary-users.patch
update-2-drivers-for-poisonh.patch
poison-add-use-more-constants.patch
add-doc-submitchecklist.patch
doc-add-audit-acct-to-docbook.patch
codingstyle-add-typedefs-chapter.patch
fix-listh-kernel-doc.patch
listh-doc-change-counter-to-control.patch
kernel-doc-drop-leading-space-in-sections.patch
kernel-doc-script-cleanups.patch
wd7000-fix-section-mismatch-warnings.patch
megaraid_mbox-fix-section-mismatch-warnings.patch
kernel-doc-mm-readhead-fixup.patch
checkstack-pirnt-module-names.patch
wan-sdla-section-fixes.patch
trident-fb-section-fixes.patch
cdrom-mcdx-section-fixes.patch
char-ip2-more-section-fixes-replacement.patch
advansys-section-fixes.patch
kernel-doc-warn-on-malformed-function-docs.patch
ide-floppy-fix-debug-only-syntax-error.patch
kernel-doc-for-lib-bitmapc.patch
kernel-doc-for-lib-cmdlinec.patch
kernel-doc-for-lib-crcc.patch
kernel-doc-dont-use-xml-escapes-in-text-or-man-output.patch
pi-futex-rt-mutex-docs-update.patch
acpi-identify-which-device-is-not-power-manageable.patch

-
To unsubscribe from this list: send the line "unsubscribe mm-commits" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Kernel Newbies FAQ]     [Kernel Archive]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [Bugtraq]     [Photo]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]

  Powered by Linux